package com.diss.omppapp.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "omp_class")
public class ClassEntity implements Serializable {

    @Id
    private String classCode;

    @Column
    private String classname;

    @Column
    private String description;

    public ClassEntity(){
    }

    public ClassEntity(String class_code, String classname, String description){
        this.setClassCode(class_code);
        this.setClassname(classname);
        this.setDescription(description);
    }


    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getClassname() {
        return classname;
    }

    public void setClassname(String classname) {
        this.classname = classname;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


}
