package com.diss.omppapp.entities;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@IdClass(UserMinutePaperKey.class)
@Table(name = "user_minute_papers")
public class UserMinutePaperEntity implements Serializable {

    @Id
    private String username;

    @Id
    private int paperId;

    public UserMinutePaperEntity() {
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public int getPaperId() {
        return paperId;
    }

    public void setPaperId(int paperId) {
        this.paperId = paperId;
    }

}
