package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.MinutePaperEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface MinutePaperEntityRepository extends CrudRepository<MinutePaperEntity, Integer> {
    Optional<MinutePaperEntity> findByPaperId(int paperId);
    Optional<List<MinutePaperEntity>> findByUsername(String username);
    Optional<List<MinutePaperEntity>> findByUsernameAndClassCode(String username,String classCode);
}
