package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.SubmissionEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface SubmissionEntityRepository extends CrudRepository<SubmissionEntity, Integer> {
    Optional<List<SubmissionEntity>> findByUsernameAndClassCodeAndSubmitted(String username, String classCode, boolean isSubmitted);
    Optional<List<SubmissionEntity>> findByPaperIdAndSubmitted(int paperId, boolean isSubmitted);
}
