package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.UserMinutePaperEntity;
import com.diss.omppapp.entities.UserMinutePaperKey;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface UserMinutePaperEntityRepository extends CrudRepository<UserMinutePaperEntity, UserMinutePaperKey> {
    Optional<List<UserMinutePaperEntity>> findByUsername(String username);
    Optional<List<UserMinutePaperEntity>> findByPaperId(int paperId);
}
